﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java">

	 
	<!-- using us-ascii encoding because special characters like &#49; would be 
		 replaced during transformation when using UTF-8 -->
	<xsl:output method="html" encoding="us-ascii" doctype-public="-//W3C//DTDXHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/strict.dtd" />
	
    <!-- string parameters -->	
    <xsl:param name="view.details.headimage"/>		
	<xsl:param name="view.details.base"/>
	<xsl:param name="view.details.id"/>
	<xsl:param name="view.details.section"/>
	<xsl:param name="view.details.phraseology"/>
	<xsl:param name="tooltip-xml"/>
	<xsl:param name="ui.lang"/>
			
	<xsl:template match="ENTRY">
		<table border="0" cellpadding="0" cellspacing="0" width="100%" style="height:100%;">
	<tr>
		<td class="Fascia" valign="top" align="center">DIZIONARIO <span style="background:green">&#160;ECONOMICO e COMMERCIALE SPAGNOLO </span>&#160;HOEPLI</td>
	</tr>
				<tr>				
					<td valign="top" height="100%">
						<div class="Entry">
						<xsl:apply-templates select="HEAD" />
						<xsl:apply-templates select="BODY" />
						<xsl:apply-templates select="PHRASES" />
						</div>
				</td></tr>
			</table>
	</xsl:template>

	<xsl:template match="HEAD">
		<xsl:variable name="image"><xsl:value-of select="$view.details.headimage"/></xsl:variable>
		<img src="hbs/images/{$image}" alt=""/><xsl:apply-templates />
	</xsl:template>

	<xsl:template match="BODY/Part">
	<P class="Part">
		<span class="Num2"><xsl:value-of select="@Number" /></span>
		<xsl:apply-templates />	
	</P>
	</xsl:template>

	<xsl:template match="Translation">
		<p class="trans">
			<span class="Num"><xsl:value-of select="@Number" /></span>
			<xsl:apply-templates />
		</p>
	</xsl:template>
		
	<xsl:template match="PHRASES">
			<P class="Phrases">
				<span class="TitPh">&#9632; &#9632; &#9632; &#9632; &#9632;</span>
			</P>
			<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="XWord">
		<xsl:if test="string-length(@Link) &gt; 0">
		<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
		<a href="javascript:detail('{$link}')">&#9658; <span class="XWord"><xsl:apply-templates /></span></a>
		</xsl:if>
	</xsl:template>
	
	<!-- paragraph tags  -->
	<xsl:template match="Phrase">
		<P class="trans"><xsl:apply-templates /></P>
	</xsl:template>
	<xsl:template match="XReference">
		<P class="trans"><xsl:apply-templates /></P>
	</xsl:template>	
	
	<!-- Character replacments -->
	<xsl:template match="Cat">
		<span class="Cat"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Exe">
		<span class="Exe"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Field">
		<span class="Field"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Gramm">
		<i><xsl:apply-templates /></i>
	</xsl:template>
	<xsl:template match="HwGramm">
		<span class="HwGramm"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="HwInfl">
		<span class="HwInfl"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Hword">
		<span class="Hword"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="In">
		<span class="In"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Infl">
		<b><xsl:apply-templates /></b>
	</xsl:template>
	<xsl:template match="Omo">
		<span class="Omo"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Phon">
		<span class="Phon"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Symb">
		<span class="Symb"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="HL">
		<xsl:variable name="hlidx1"><xsl:value-of select="attribute::index"/></xsl:variable>
		<xsl:variable name="nodeName" select="name()"></xsl:variable>
		<xsl:variable name="hlidx2"><xsl:value-of select="count(preceding::node()[name() = $nodeName]) + 1"/></xsl:variable>
		<a name="hl_{$hlidx1}_{$hlidx2}_{$view.details.id}"><span class="HL"><xsl:apply-templates /></span></a>
	</xsl:template>
	<xsl:template match="TT">
		<!--  <xsl:variable name="tt"><xsl:value-of select="."/></xsl:variable> -->
		<!--  <span onmouseover="return escape('This is a test')" title="{$tt}" alt="{$tt}"><xsl:apply-templates /></span>  -->
		<!--  <span onclick="alert('{$tt}')"><xsl:apply-templates /></span> -->
		<span class="tt"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="b">
		<b><xsl:apply-templates /></b>
	</xsl:template>	
	<xsl:template match="u">
		<u><xsl:apply-templates /></u>
	</xsl:template>	
	<xsl:template match="sup">
		<sup><xsl:apply-templates /></sup>
	</xsl:template>	
	<xsl:template match="sub">
		<sub><xsl:apply-templates /></sub>
	</xsl:template>	

</xsl:stylesheet>
